#### Description:

This function draws a (line) border around regions of the plotting area of a Plot which correspond to valid, unclipped physical coordinates. For example, when plotting using an all-sky map projection, this function could be used to draw the boundary of the celestial sphere when it is projected on to the plotting surface.

If the entire plotting area contains valid, unclipped physical coordinates, then the boundary will just be a rectangular box around the edges of the plotting area.

If the Plot is a Plot3D, this method is applied individually to each of the three 2D Plots encapsulated within the Plot3D (each of these Plots corresponds to a single 2D plane in the 3D graphics system). In addition, if the entire plotting volume has valid coordinates in the 3D current Frame of the Plot3D, then additional lines are drawn along the edges of the 3D plotting volume so that the entire plotting volume is enclosed within a cuboid grid.

#### Synopsis

int astBorder( AstPlot ∗this )

#### Parameters:

##### this

Pointer to the Plot.

#### Returned Value

##### astBorder()

Zero is returned if the plotting space is completely filled by valid, unclipped physical coordinates (so that only a rectangular box was drawn around the edge). Otherwise, one is returned.

#### Notes:

- A value of zero will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

- An error results if either the current Frame or the base Frame of the Plot is not 2-dimensional or (for a Plot3D) 3-dimensional.

- An error also results if the transformation between the base and current Frames of the Plot is not defined (i.e. the Plot`’` s TranForward attribute is zero).

Copyright (C) 2021 East Asian Observatory